收藏
回答

wx.canIUse is not a function 公众平台查出来的错误

问题模块 框架类型 API/组件名称 终端类型 操作系统 微信版本 基础库版本
API和组件 小程序 wx.canIUse 客户端 6.5.3 1.9.1

if (wx.canIUse('showLoading')) {

    wx.showLoading({ title: '加载中...' });

} else {

    wx.showToast({

        title: '加载中...' ,

        icon: 'loading'

    });

}

之前报错showLoading is not a function 用上面的方法兼容之后,就出现这个错误,不是所有的都报错,这只是个别的,请问这个怎么做兼容?这是在公众平台后台看到的错误,不知道是安卓还是ios系统

最后一次编辑于  2018-02-24  (未经腾讯允许,不得转载)
回答关注问题邀请回答
收藏

3 个回答

  • cunjinli
    cunjinli
    2018-02-26

    wx.canIUse从1.1.1开始支持,建议进入小程序后台,点击左侧菜单“设置”页面,设置一下“基础库最低版本设置”。

    2018-02-26
    赞同
    回复
  • iHealth 王深镇
    iHealth 王深镇
    2018-03-26

    我的依然也在报错,好像没什么用

    2018-03-26
    赞同
    回复
  • /
    /
    2018-03-13

    我们的小程序设置了1.6.8的版本库限制,今天早上仍然报了wx.canIUse is not a function

    2018-03-13
    赞同
    回复